using System.Text.Json.Serialization;

namespace XPrintServer.Api.Entities.Vol
{
    public class ClothRequestInfo
    {
        /// <summary>
        /// 服务标识
        /// 取固定值: dressing_diffusionV2
        /// </summary>
        [JsonPropertyName("req_key")]
        public string ReqKey { get; set; } = "dressing_diffusionV2";


        [JsonPropertyName("inference_config")]
        public InferenceConfig InferenceConfig { get; set; } = new InferenceConfig();

        /// <summary>
        /// 模特配置
        /// 当以base64形式传入模特图时，可不传该参数
        /// </summary>
        [JsonPropertyName("model")]
        public Model Model { get; set; } = new Model();

        /// <summary>
        /// 服装配置
        /// </summary>
        [JsonPropertyName("garment")]
        public Garment Garment { get; set; } = new Garment();
    }
}
